import React from 'react';
import { useStyles } from './styles';

export const SvgPartenaire = () => {
  const classes = useStyles();
  return (
    <svg
      className={classes.svg}
      width="30px"
      //   fill="#F34F9C"
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 24 24"
    >
      <g id="Layer_2" data-name="Layer 2">
        <g id="Layer_1-2" data-name="Layer 1">
          <path
            className="myClassForMyPath"
            d="M7.73,6.16l-.4,0V2.47A2.46,2.46,0,0,1,9.8,0h4.39a2.47,2.47,0,0,1,2.48,2.47V6.92l-.37.13-.11,0h-.07l-.46-.18V2.47A1.47,1.47,0,0,0,14.19,1H9.8A1.47,1.47,0,0,0,8.33,2.47V6.2Z"
          />
          <path
            className="myClassForMyPath"
            d="M21.32,13.05c-.1-.66-.16-1.32-.28-2a12.54,12.54,0,0,0-.78-2.8,1.07,1.07,0,0,0-1-.67A6.81,6.81,0,0,0,16.61,8a1.15,1.15,0,0,1-.89,0c-.62-.25-1.25-.46-1.85-.75a3.48,3.48,0,0,0-3.13,0,1,1,0,0,1-.39.08L7.69,7.2a8,8,0,0,1-1-.14C5.81,6.89,4.92,6.7,4,6.54c-.4-.08-.57.06-.66.44,0,.14-.06.27-.08.41C3.16,8.27,3,9.15,2.91,10c-.09.7-.15,1.41-.22,2.11,0,.14,0,.89-.07,1v1c.22.08.43.28.65.28.8,0,1.61,0,2.41-.06A.41.41,0,0,0,6.06,14c.06-.18.12-.36.19-.55a2.83,2.83,0,0,1,.32.22c1,.84,2,1.69,3,2.52a10.3,10.3,0,0,0,1.18.91,1.74,1.74,0,0,0,1.86.12.6.6,0,0,1,.42,0,1.57,1.57,0,0,0,1.44-.34.7.7,0,0,1,.4-.16,1.62,1.62,0,0,0,1.27-.61,1,1,0,0,1,.36-.25,1.35,1.35,0,0,0,1-1.41c0-.23.08-.38.3-.44a6.53,6.53,0,0,0,2.67.25,1.17,1.17,0,0,0,.86-.23V13.2A.44.44,0,0,1,21.32,13.05Zm-16,.44a6.42,6.42,0,0,1-1.79.1,30.67,30.67,0,0,1,.64-6.07A8.34,8.34,0,0,1,6.75,8,38.27,38.27,0,0,1,5.33,13.49Zm11,1.54c-.28-.23-.58-.47-.86-.73l-1.61-1.51a1.64,1.64,0,0,0-.26-.2.4.4,0,0,0-.53.07.44.44,0,0,0,0,.57,3.28,3.28,0,0,0,.34.31l2.12,2c-.27.36-.53.43-.84.19s-.56-.45-.83-.69l-1.2-1.1c-.24-.22-.39-.25-.59-.14a.37.37,0,0,0-.18.55.86.86,0,0,0,.2.26l1.78,1.57s0,.05,0,.07a.76.76,0,0,1-.95,0c-.48-.44-.93-.91-1.4-1.36a1.31,1.31,0,0,0-.21-.2.43.43,0,0,0-.6,0,.47.47,0,0,0,0,.61l.26.27c.33.32.66.63,1,1a.81.81,0,0,1-.83-.15q-.57-.42-1.11-.87L6.7,12.71a1.66,1.66,0,0,1-.13-.14c.38-1.48.74-2.94,1.11-4.43H9.41c-.1.16-.18.27-.25.39a3.47,3.47,0,0,0-.64,1.69c-.06,1.15.87,1.46,1.66,1.28a2,2,0,0,0,1.11-.77,1.24,1.24,0,0,1,.84-.52,2.18,2.18,0,0,0,.27-.07c.37.29.76.58,1.13.9a18.18,18.18,0,0,1,2.86,2.89,1.5,1.5,0,0,1,.22.39C16.74,14.66,16.69,14.77,16.31,15Zm.82-1.64-1.5-1.58A24.42,24.42,0,0,0,13,9.49a.84.84,0,0,0-1-.15.74.74,0,0,1-.28.08c-.45,0-.69.26-.94.58a2.68,2.68,0,0,1-.62.59.52.52,0,0,1-.63,0c-.2-.15-.15-.38-.1-.58A2.9,2.9,0,0,1,11.1,8a2.81,2.81,0,0,1,2.22,0l2.4.94a.51.51,0,0,1,.34.33c.22.53.46,1.05.66,1.58.27.74.53,1.48.81,2.27C17.37,13.22,17.24,13.3,17.13,13.39Zm3.33,0H18.8a.39.39,0,0,1-.4-.3c-.1-.33-.2-.66-.32-1-.38-1-.77-2-1.15-3,0,0,0-.1,0-.17s.1-.08.15-.09c.61-.11,1.22-.25,1.83-.31s.6,0,.73.49c.22.73.42,1.47.58,2.21s.19,1.32.28,2A1.4,1.4,0,0,1,20.46,13.36Z"
          />
          <path
            className="myClassForMyPath"
            d="M15.66,17.64v3.88A1.47,1.47,0,0,1,14.19,23H9.8a1.47,1.47,0,0,1-1.47-1.47v-5l-1-.86H2.47A1.47,1.47,0,0,1,1,14.19V9.8A1.47,1.47,0,0,1,2.07,8.39c0-.17.05-.33.07-.5l.08-.55A2.47,2.47,0,0,0,0,9.8v4.39a2.48,2.48,0,0,0,2.47,2.48H7.33v4.85A2.48,2.48,0,0,0,9.8,24h4.39a2.49,2.49,0,0,0,2.48-2.48V17.08A2.29,2.29,0,0,1,15.66,17.64ZM21.52,7.33H20.9a2.38,2.38,0,0,1,.32.51c.07.16.14.32.2.49h.1A1.47,1.47,0,0,1,23,9.8v4.39a1.47,1.47,0,0,1-1.47,1.47H18.31a2.24,2.24,0,0,1-1,1h4.26A2.49,2.49,0,0,0,24,14.19V9.8A2.48,2.48,0,0,0,21.52,7.33Z"
          />
        </g>
      </g>
    </svg>
  );
};
